# bu-rmselect.conf:
# Config-file for bu-rmselect, which selects old backups/snapshots
# to remove.

# placing '#' or ';' at the beginning of a line comments out the rest of
# that line.

# The following format specifiers can be used:
# (for a complete list see the 'strptime' manpage)
# %% - equivalent to '%' in the name
# %a - weekday name:	'sun','mon'...'sat'
# %b - month name:	'jan','feb'...'dec'
# %d - day of month:	01-31
# %H - hours:		00-23
# %j - day of year:	001-366
# %m - month:		01-12
# %M - minutes:		00-59
# %S - seconds:		00-59
# %w - weekday:		0-6 where 0 is sunday
# %y - year:		00-99
# %Y - year:		1900-9999

# Format string for backup-directory names:
# use of "" is optional, but beware of trailing whitespace

format="%Y-%m-%d#%H:%M"

# Lower number is higher priority! Priority 0 must be obeyed, so if
# all backups fall under a priority 0 rule, no backup will be deleted.

# rules-syntax:
# rule-type         argument(s)
# newest/oldest     no. of newest/oldest backups
# newer/older       relative time before/after which rule applies,
#                   desired interval between backups or "all".
# days/hours        starting time, ending time, desired interval
# interval          2 dates in YYYY-MM-DD,hh:mm:ss format, between which
#                   rule applies to all backups.

#rule	prio.	rule-type	argument(s)

# minimum amounts of backups to keep:
rule	0	newest		2
rule 	0	newer		5days	1day
#rule	0	newer		14days	3days

# preferred amount of backups to keep:
rule	5	newer		1day	all
rule	5	newer		21days	1day

# give these slightly higher priority, so these will be the ones
# kept longer:
rule	10	hours		00:00	8:00	all
rule	10	days		mon	tue	all

# Example: keep a backup from a specific date: 2000-01-01
rule	0	interval	2000-01-01,00:00:00	2000-01-02,00:00:00
